apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata: 
  name: testdevops-deployment
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: testdevops-deployment
  minReplicas: 1
  maxReplicas: 10
  targetCPUUtilizationPercentage: 50
